osl::KingTraits< T > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Attributes

static const int | index =PtypeTraits<KING>::indexMin+playerToIndex(T)

## Detailed Description

template<Player T>
struct osl::KingTraits< T >

Definition at line 356 of file ptypeTraits.h.

## Member Data Documentation

## index

template<Player T>

const int osl::KingTraits< T >::index =PtypeTraits<KING>::indexMin+playerToIndex(T)

static

Definition at line 358 of file ptypeTraits.h.

Referenced by osl::eval::See::computeValue(), osl::eval::ml::KingPieceRelativeNoSupport::eval(), osl::eval::ml::NonPawnAttacked::eval(), osl::eval::ml::NonPawnAttackedPtype::eval(), osl::eval::ml::King25EmptySquareNoEffect::evalOne(), osl::eval::ml::King25EmptySquareNoEffect::evalOne(), osl::eval::ml::KingPieceRelativeNoSupport::evalWithUpdate(), osl::PtypeTable::getKingIndex(), osl::SimpleState::kingPiece(), and osl::Piece::makeKing().

The documentation for this struct was generated from the following file:

- ptypeTraits.h